package com.yihaomen.converter;

import org.springframework.core.convert.ConversionFailedException;
import org.springframework.core.convert.TypeDescriptor;
import org.springframework.core.convert.converter.Converter;

import com.yihaomen.domain.User;


public class StringToUserTypeConverter implements Converter<String, User> {

	public User convert(String userString) {	
		User user = new User();
		try{
			String[] userInfo = userString.split(",");
			if (userInfo.length>=1){
				user.setName(userInfo[0]);				
			}
			if (userInfo.length>=2){
				user.setPhone(userInfo[1]);				
			}					
		} catch (Exception e) {
			throw new ConversionFailedException(TypeDescriptor.valueOf(String.class), 
					TypeDescriptor.valueOf(User.class), userString, null);
		}		
		return user;
	}
}